import { ReadonlyDeep } from "type-fest";
import Camera, { UvcControl } from "uvc-control";
export default class CameraControlHelper {
    private readonly UvcControl;
    private readonly camera;
    private cachedMappedSupportedControls;
    constructor(UvcControl: ReadonlyDeep<UvcControl>, camera: ReadonlyDeep<Camera>);
    getControlNames(): Promise<readonly string[]>;
    getGettableControlNames(): Promise<readonly string[]>;
    getRangedControlNames(): Promise<readonly string[]>;
    getSettableControlNames(): Promise<readonly string[]>;
    private isGettableControl;
    private isRangedControl;
    private isSettableControl;
    private mapSupportedControls;
    private getSupportedControls;
    private getGettableControls;
    private getRangedControls;
    private getSettableControls;
}
