import { ReadonlyDeep } from "type-fest";
import Camera from "uvc-control";
import CameraControlHelperFactory from "./camera-control-helper-factory.js";
import CameraHelperClass from "./camera-helper.js";
import Output from "./output.js";
export default class CameraHelperFactory {
    private readonly output;
    private readonly cameraControlHelperFactory;
    private readonly CameraHelper;
    constructor(output: ReadonlyDeep<Output>, cameraControlHelperFactory: ReadonlyDeep<CameraControlHelperFactory>, CameraHelper: typeof CameraHelperClass);
    get(camera: ReadonlyDeep<Camera>): Promise<CameraHelperClass>;
}
