import { ReadonlyDeep } from "type-fest";
import CameraFactory from "./camera-factory.js";
import CameraHelperFactory from "./camera-helper-factory.js";
import CommandHandlers from "./command-handlers.js";
import Output from "./output.js";
import { RuntimeConfiguration } from "./runtime-configurator.js";
export default class CommandManager {
    private readonly output;
    private readonly cameraFactory;
    private readonly cameraHelperFactory;
    private readonly commandHandlers;
    constructor(output: Output, cameraFactory: CameraFactory, cameraHelperFactory: CameraHelperFactory, commandHandlers: CommandHandlers);
    execute(runtimeConfig: ReadonlyDeep<RuntimeConfiguration>): Promise<void>;
}
